diff --git a/src/main/java/net/minecraft/core/item/SpawnerWandItem.java b/src/main/java/net/minecraft/core/item/ItemWandSpawner.java
similarity index 81%
rename from src/main/java/net/minecraft/core/item/SpawnerWandItem.java
rename to src/main/java/net/minecraft/core/item/ItemWandSpawner.java
index 5ee620f8d..cc1f8ef29 100644
--- a/src/main/java/net/minecraft/core/item/SpawnerWandItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemWandSpawner.java
@@ -1,6 +1,6 @@
 package net.minecraft.core.item;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.Mob;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.HitResult;
@@ -8,16 +8,13 @@ import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityDispatcher;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.player.gamemode.Gamemode;
-import net.minecraft.core.util.helper.MathHelper;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.player.ServerPlayer;
 
 import java.util.Random;
 
-public class SpawnerWandItem extends Item implements IDispensable
+public class ItemWandSpawner extends Item implements IDispensable
 {
-    public SpawnerWandItem(String name, String namespaceId, int id) {
+    public ItemWandSpawner(String name, String namespaceId, int id) {
         super(name, namespaceId, id);
     }
     @Override
@@ -70,7 +67,7 @@ public class SpawnerWandItem extends Item implements IDispensable
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         spawnEntity(itemStack, world, blockX + offX + direction.getOffsetX() * 0.5, blockY + offY + direction.getOffsetY() * 0.5, blockZ + offZ + direction.getOffsetZ() * 0.5);
     }
 }
diff --git a/src/main/java/net/minecraft/core/item/Items.java b/src/main/java/net/minecraft/core/item/Items.java
index 413bd6b27..a2398ec2e 100644
--- a/src/main/java/net/minecraft/core/item/Items.java
+++ b/src/main/java/net/minecraft/core/item/Items.java
@@ -8,11 +8,12 @@ import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.item.material.ArmorMaterial;
 import net.minecraft.core.item.material.ToolMaterial;
 import net.minecraft.core.item.tag.ItemTags;
-import net.minecraft.core.item.tool.AxeToolItem;
-import net.minecraft.core.item.tool.HoeToolItem;
-import net.minecraft.core.item.tool.PickaxeToolItem;
-import net.minecraft.core.item.tool.ShovelToolItem;
-import net.minecraft.core.item.tool.SwordToolItem;
+import net.minecraft.core.item.tool.ItemToolAxe;
+import net.minecraft.core.item.tool.ItemToolHoe;
+import net.minecraft.core.item.tool.ItemToolPickaxe;
+import net.minecraft.core.item.tool.ItemToolShears;
+import net.minecraft.core.item.tool.ItemToolShovel;
+import net.minecraft.core.item.tool.ItemToolSword;
 
 public final class Items {
     public static Item TOOL_SHOVEL_IRON;
@@ -122,8 +123,8 @@ public final class Items {
     public static Item BED;
     public static Item REPEATER;
     public static Item FOOD_COOKIE;
-    public static MapItem MAP;
-    public static ToolShearsItem TOOL_SHEARS;
+    public static ItemMap MAP;
+    public static ItemToolShears TOOL_SHEARS;
     public static Item RECORD_13;
     public static Item RECORD_CAT;
     public static Item RECORD_BLOCKS;
@@ -178,7 +179,7 @@ public final class Items {
     public static Item BASKET;
     public static Item FLAG;
     public static Item ARMOR_BOOTS_ICESKATES;
-    public static ToolShearsItem TOOL_SHEARS_STEEL;
+    public static ItemToolShears TOOL_SHEARS_STEEL;
     public static Item TOOL_FIRESTRIKER_STEEL;
     public static Item SEEDS_PUMPKIN;
     public static Item SEAT;
